1. 3. Returns
Yamm
  • Partner API
    • 1. Authentication
      • Issue Access Token
    • 2. Catalog
      • List Products
      • Get Product
    • 3. Returns
      • List Return Reasons
        GET
      • Create Return Reason
        POST
      • Upload Return Attachment
        POST
      • Create Return
        POST
      • List Returns
        GET
      • Get Return
        GET
      • Approve Return
        POST
      • Reject Return
        POST
      • List Resolution Methods
        GET
      • Inspect Return
        POST
      • Cancel Return
        POST
      • Get Return Timeline
        GET
    • 4. Webhooks
      • Webhook Meta
      • List Webhooks
      • Create Webhook
      • Get Webhook
      • Update Webhook
      • Delete Webhook
      • Rotate Webhook Secret
      • Send Test Webhook
      • List Webhook Deliveries
      • Get Webhook Delivery
      • Retry Webhook Delivery
    • 5. Store & Orders
      • Get Store
      • List Orders
      • Get Order
  1. 3. Returns

Get Return Timeline

GET
/partner/v1/returns/{id}/timeline
Resolution events of a return (refund attempts, payouts, task changes), newest first, cursor-paginated. Returns 400 for an invalid cursor. Scope: refunds:read.

Request

Authorization
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
Path Params

Query Params

Header Params

Responses

🟢200Success
application/json
Bodyapplication/json

🟠400Reason required
🟠404Not found
🟠422Validation failed
🟠401Unauthorized
🟠403Forbidden
🟠429Too Many Requests
Request Request Example
Shell
JavaScript
Java
Swift
curl --location '/partner/v1/returns//timeline?cursor=&limit=20' \
--header 'X-Store-Id: {{partner_store_id}}' \
--header 'Accept-Language: en' \
--header 'Authorization: Bearer <token>'
Response Response Example
200 - Example 1
{
    "success": true,
    "message": "string",
    "data": {
        "items": [
            {
                "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
                "type": "string",
                "schema_version": 0,
                "message": "string",
                "data": {},
                "allocation_id": "382c58cf-1df3-4a3e-982d-9827484a770a",
                "actor_type": "string",
                "actor_id": "04f37679-bfbf-4906-b749-01756515cecf",
                "created_at": "2019-08-24T14:15:22.123Z"
            }
        ],
        "next_cursor": "string"
    }
}
Previous
Cancel Return
Next
Webhook Meta
Built with